Name:           nde-customization 
Version:        1.0.0
Release:        29%{?dist}
Summary:        Customization for NDE

License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
#BuildArch:      noarch
Requires:       fcitx-configtool
Requires:       perl-File-MimeInfo

Provides:       libdrmicon

%define _unpackaged_files_terminate_build 0

%description
Customization for NDE V4


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%triggerin -- firefox
/bin/rm -rf %{_libdir}/firefox/browser/defaults/preferences/all-redhat.js
/bin/rm -rf %{_libdir}/firefox/defaults/preferences/all-redhat.js
mkdir -p %{_libdir}/firefox/browser/defaults/preferences/
mkdir -p %{_libdir}/firefox/defaults/preferences/
/bin/cp -f /usr/share/nde-customization/firefox/all-redhat.js %{_libdir}/firefox/browser/defaults/preferences/
/bin/cp -f /usr/share/nde-customization/firefox/all-redhat.js %{_libdir}/firefox/defaults/preferences/

%triggerin -- chromium
sed -i "s/start.fedoraproject.org/www.gd-linux.com/g" /etc/chromium/master_preferences
sed -i '3s/false/true/' /etc/chromium/master_preferences

%triggerin -- google-chrome-stable
/bin/rm -rf /etc/yum.repos.d/google-chrome.repo

%triggerin -- fcitx-data
FCITX_CONFIG_FILE="/usr/share/fcitx/configdesc/config.desc"
if [ -f $FCITX_CONFIG_FILE ]; then
    sed -i '36s#DefaultValue=L_SHIFT#DefaultValue=SHIFT Both#' $FCITX_CONFIG_FILE
    sed -i '41s#DefaultValue=#DefaultValue=CTRL_SHIFT#' $FCITX_CONFIG_FILE
    sed -i '67s#DefaultValue=False#DefaultValue=True#' $FCITX_CONFIG_FILE
fi

%triggerin -- systemd
sed -i "s/#DefaultTimeoutStartSec=90s/DefaultTimeoutStartSec=10s/g" /etc/systemd/system.conf
sed -i "s/#DefaultTimeoutStopSec=90s/DefaultTimeoutStopSec=10s/g" /etc/systemd/system.conf

%triggerin -- iptables-services
cp -rf /usr/share/nde-customization/iptables /etc/sysconfig/iptables

%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/nde-customization
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/nde-customization
mkdir -p $RPM_BUILD_ROOT/etc/nde


cp -rf  $RPM_BUILD_DIR/%{name}-%{version}/* $RPM_BUILD_ROOT/usr/share/nde-customization
install -m 644 panel/holiday.json $RPM_BUILD_ROOT/etc/nde/
install -m0755 -p -D %{_builddir}/%{name}-%{version}/nde-customization-protected.conf $RPM_BUILD_ROOT/etc/nde/


make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%post
install -m0755 -p -D /etc/nde/nde-customization-protected.conf /etc/dnf/protected.d/

versionZTE=`grep ZTE /etc/os-release`
machineKVM=`dmesg | grep virtual | grep KVM`
ZTEKVM=false
if [ -n "$versionZTE" ] && [ -n "$machineKVM" ]
then
    ZTEKVM=true
fi

if ! $ZTEKVM
then
  cp -rf  /usr/local/lib/nde-customization/libdrmicon.so /usr/lib64/
fi

#修改grub配置
chmod +x $RPM_BUILD_ROOT/usr/share/nde-customization/nde-update-grub
sh $RPM_BUILD_ROOT/usr/share/nde-customization/nde-update-grub

%posttrans
#修改kwin配置文件中OpenGLIsUnsafe值为false，此值为true时无法使用kwin特效
for user in $(users);
do
    kwinrc=/home/$user/.config/kwinrc
    if [ -f $kwinrc ] ; then
        if grep -q "OpenGLIsUnsafe=true" $kwinrc ; then
            echo $kwinrc modify OpenGLIsUnsafe=true to OpenGLIsUnsafe=false
            sed -i 's/OpenGLIsUnsafe=true/OpenGLIsUnsafe=false/' $kwinrc
        fi
    fi
done

#修改用户主题配置，不是Dark就直接删除用户配置使用。
for user in $(users);
do
    nde_conf=/home/$user/.config/nde/nde.conf
    if [ -f $nde_conf ] ; then
        if (grep -q "^theme=" $nde_conf) && !(grep -q "^theme=Dark$" $nde_conf) ; then
            sed -i '/^theme=/d' $nde_conf
        fi
        if (grep -q "^style=" $nde_conf) && !(grep -q "^style=Light$" $nde_conf) ; then
            sed -i '/^style=/d' $nde_conf
        fi
        if (grep -q "^icon_theme=" $nde_conf) && !(grep -q "^icon_theme=Dark$" $nde_conf) ; then
            sed -i '/^icon_theme=/d' $nde_conf
        fi
    fi
    session_conf=/home/$user/.config/nde/session.conf
    if [ -f $session_conf ] ; then
        if (grep -q "^cursor_theme=" $session_conf) && !(grep -q "^cursor_theme=Dark$" $session_conf) ; then
            sed -i '/^cursor_theme=/d' $session_conf
        fi
    fi
    fileman_setting_conf=/home/$user/.config/nde-fileman/nde/settings.conf
    if [ -f $fileman_setting_conf ] ; then
        if (grep -q "^Wallpaper=/usr/share/nde/themes/Light/light.jpg$" $fileman_setting_conf) ; then
            sed -i 's#Wallpaper=/usr/share/nde/themes/Light/light.jpg#Wallpaper=/usr/share/nde/themes/Light/light.png#g' $fileman_setting_conf
        fi
        if (grep -q "^Wallpaper=/usr/share/nde/themes/Dark/dark.jpg$" $fileman_setting_conf) ; then
            sed -i 's#Wallpaper=/usr/share/nde/themes/Dark/dark.jpg#Wallpaper=/usr/share/nde/themes/Dark/dark.png#g' $fileman_setting_conf
        fi
    fi
done

cp -rf /usr/share/nde-customization/iptables /etc/sysconfig/iptables

%files
%defattr(-, root, root)
%dir /usr/share/nde-customization
/usr/share/nde-customization/firefox/
/usr/local/lib/nde-customization/libdrmicon.so
/etc/nde/holiday.json
/etc/nde/nde-customization-protected.conf
/usr/share/nde-customization/iptables
/usr/share/nde-customization/nde-update-grub

%changelog
* Thu Oct 21 2021 luo junchao <luo.junchao@zte.com.cn> - 1.0.0-29
- 去除脚本输出颜色

* Wed Oct 20 2021 he leilei <he.leilei@zte.com.cn> - 1.0.0-28
- 包保护列表去除ksysguard

* Thu Oct 14 2021 luo junchao <luo.junchao@zte.com.cn> - 1.0.0-27
- 修改开机显示日志级别

* Wed Oct 13 2021 he leilei <he.leilei@zte.com.cn> - 1.0.0-26
- 默认壁纸修改为png后缀，桌面配置同步修改

* Fri Aug 27 2021 he leilei <he.leilei@zte.com.cn> - 1.0.0-25
- 删除用户设置的主题，使用系统默认主题

* Thu Aug 26 2021 he leilei <he.leilei@zte.com.cn> - 1.0.0-24
- 默认设置用户主题为Light

* Wed Aug 25 2021 he leilei <he.leilei@zte.com.cn> - 1.0.0-23
- 删除用户设置的错误主题配置-fixbug

* Wed Aug 25 2021 he leilei <he.leilei@zte.com.cn> - 1.0.0-22
- 删除用户设置的错误主题配置

* Thu Jul 09 2021 Du Qiang<du.qiang@gd-linux.com> - 1.0.0-21
- 添加iptables规则，屏蔽53,1025端口

* Wed Jul 7 2021 he leilei <he.leilei@zte.com.cn> - 1.0.0-20
- 删除部分受保护的包

* Fri May 21 2021 he leilei <he.leilei@zte.com.cn> - 1.0.0-19
- 修复构建iso安装firefox错误的问题，删除软件保护列表多余的软件May

* Fri May 14 2021 Li Shengsong <li.shengsong@gd-linux.com> - 1.0.0-18
- 修复必要软件被非法卸载问题，增加受保护的软件列表

* Thu Mar 16 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 1.0.0-17
- 添加法定节假日参数

* Tue Jan 26 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 1.0.0-16
- 修改文档安全接口安装路径

* Tue Dec 1 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 1.0.0-15
- 修改kwin配置文件中OpenGLIsUnsafe值为false，此值为true时无法使用kwin特效

* Thu Nov 26 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 1.0.0-14
- 添加文档安全空接口实现

* Wed Nov 25 2020 lei bao <lei.bao@zte.com.cn> - 1.0.0-13
- 修复谷歌浏览器打开docx等文档方式错误问题 

* Thu Nov 05 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-12
- 去掉udisks2脚本修改，已经在udisks2源码中改好

* Tue Aug 18 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 1.0.0-11
- 修改卡住一分30秒问题

* Thu Jul 16 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-10
- 添加fcitx-configtool依赖

* Fri Jul 10 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-9
- 修复弹出磁盘出现错误提示问题

* Thu Jul 2 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-8
- 修改udisks2配置文件

* Sun Jun 28 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-6
- 修改浏览器主页

* Thu Jun 18 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-5
- 删除此处对mtools的修改，删除代理定制，移植至nde-repos-zte中

* Wed Jun 17 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 1.0.0-4
- 修改mtools配置

* Thu Jun 11 2020 mai.zhuodong <mai.zhuodong@zte.com.cn> - 1.0.0-3
- 完善代理设置

* Wed Jun 10 2020 mai.zhuodong <mai.zhuodong@zte.com.cn> - 1.0.0-1.4
- 添加代理设置

* Thu May 28 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-1.1
- 删除google浏览器的源仓库地址

* Tue May 19 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-1.0
- 构建新的桌面定制包.

